VREDefinitionModel (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client.model

## Class VREDefinitionModel

- java.lang.Object
- - org.gcube.portlets.admin.vredefinition.client.model.VREDefinitionModel

-     public class VREDefinitionModel
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDefinitionModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VREDescriptionBean` | `getVREDescriptionBean()`
    `List<com.extjs.gxt.ui.client.data.ModelData>` | `getVREFunctionalities()`
    `WizardStepType` | `getWizardStep()`
    `WizardStepModel` | `getWizardStepModel()`
    `void` | `setBackStep()`
    `void` | `setEditMode()`
    `void` | `setNextStep()`
    `void` | `setVREDescription(VREDescriptionBean bean)`
    `void` | `setVREFunctionalities(List<com.extjs.gxt.ui.client.data.ModelData> list)`
    `void` | `setWizardStep(WizardStepType step)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VREDefinitionModel

          public VREDefinitionModel()

  - ### Method Detail

    - #### setEditMode

          public void setEditMode()

    - #### setVREDescription

          public void setVREDescription(VREDescriptionBean bean)

    - #### getVREDescriptionBean

          public VREDescriptionBean getVREDescriptionBean()

    - #### setVREFunctionalities

          public void setVREFunctionalities(List<com.extjs.gxt.ui.client.data.ModelData> list)

    - #### getVREFunctionalities

          public List<com.extjs.gxt.ui.client.data.ModelData> getVREFunctionalities()

    - #### setNextStep

          public void setNextStep()

    - #### setBackStep

          public void setBackStep()

    - #### getWizardStepModel

          public WizardStepModel getWizardStepModel()

    - #### getWizardStep

          public WizardStepType getWizardStep()

    - #### setWizardStep

          public void setWizardStep(WizardStepType step)

Copyright © 2016. All Rights Reserved.